Bug 1419325 - rtl8188EU chipst wifi dongle - no wifi after update
Summary: rtl8188EU chipst wifi dongle - no wifi after update
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wpa_supplicant
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-05 13:02 UTC by Matthias31
Modified: 2017-12-12 10:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:29:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthias31 2017-02-05 13:02:13 UTC
Description of problem:
After update to the current relase you can´ t access / connect tp wifi networks

Version-Release number of selected component (if applicable):


How reproducible:everytiome  so you hve any WIFI Dongle with rtl8188EU chipset


Steps to Reproduce:
1.build the Driver for rtl8188EuU wgo is postet in comment 11  > https://bugzilla.redhat.com/show_bug.cgi?id=881675 
2.thean do update to current wpa-suplicant

Actual results:
you will get: unable to delete wpa-supplycant not such file or directory when update is running. After then no WIFI connction possible

Expected results:
WIFI shuld work

Additional info:
downgrade wpa-supplicant, take a reboot and wifi works
or go to networlsetting, click connect to hidden network, but you must do this every reboot. better you downgrade

Comment 1 Matthias31 2017-02-05 16:16:33 UTC
Edit:

I´ ve tested withe a tp Link WN 812 N withe the same error.

wpa_supplicant-1:2.6-1.fc25.x86_64  and wpa_supplicant 1:2.6-1.fc25.x86_64 won´t work withe usb WIFI Dongles, no problems by my notebook wich have inernat brodcomm wifi modul

Comment 2 tritri 2017-02-06 18:48:08 UTC
Same issue here.  Device rtl8192cu.

/var/log/messages (these messages over and over again):

Feb  6 19:26:35 localhost kernel: IPv6: ADDRCONF(NETDEV_UP): wlp7s0u1: link is not ready
Feb  6 19:26:35 localhost NetworkManager[1165]: <info>  [1486405595.9262] device (wlp7s0u1): supplicant interface state: inactive -> disabled
Feb  6 19:26:35 localhost NetworkManager[1165]: <info>  [1486405595.9538] device (wlp7s0u1): supplicant interface state: disabled -> inactive
Feb  6 19:26:36 localhost NetworkManager[1165]: <warn>  [1486405596.0598] device (wlp7s0u1): set-hw-addr: new MAC address AA:AA:AA:AA:AA:AA not successfully set (scanning)
Feb  6 19:26:36 tritripc kernel: IPv6: ADDRCONF(NETDEV_UP): wlp7s0u1: link is not ready

Comment 3 Matthias31 2017-02-06 19:06:48 UTC
@tritri:
you can get wifi connection:

go to settigns/network
click "connect to  hidden wifi network
choose the dropdownmenue an select your wifi network
click in the Passwordfield (it shuld complete by the self)
now click okay and youŕe done until next boot

better you get to your terminal an type as root:

dnf donwgrade wpa_supplicant 

and do a reboot. 

in my case the Network settings is empty in the section wifi when i update the wpa_supplicant, same problem by you?

Comment 4 Matthias31 2017-03-22 20:15:10 UTC
why nobody fix this bug?

Comment 5 Thomas Haller 2017-04-26 17:42:10 UTC
comment 2 is related to NetworkManager and a dupe of 1382741.

Comment 6 Fedora End Of Life 2017-11-16 19:23:09 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:29:26 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.